%define name wbar
%define version 1.3.3
%define release 1

Name: 		%{name}
Version: 	%{version}
Release: 	%mkrel %release

Summary:	Quick Launch Bar
Source:		http://www.tecapli.com.ar/warlock/wbar-%{version}.tbz2
Source1:	wbar.desktop
#Patch1:		wbar-makefile.patch
Patch2:		wbar-kde-above-desk.patch
URL:		http://freshmeat.net/projects/wbar/
Group:		Graphical desktop/Other 
License:	GPL
Packager:	Mario Blättermann
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	libimlib2_1-loaders
Requires:	libx11_6
BuildRequires: 	libx11_6-devel
BuildRequires:	libstdc++-devel
BuildRequires:	imlib2-devel
BuildRequires:	freetype2-devel
BuildRequires:	zlib-devel

%description
wbar is a quick launch bar. Its fast, light and cool eye-candy.

Its hacked in c++ trying to keep code as readable as possible with out
sacrificing speed. It works directly on top of X to avoid going throug a lot
of layers.

Initially developed for Fluxbox, then tested on WindowMaker, Xfce, Gnome, etc.

Since version 1.0 can run on top of desktops such as xfdesktop or nautilus
with the -above-desk switch.

%description -l de
Wbar ist eine schnelle, leichtgewichtige und augenschmeichelnde Schnellstartleiste.

Das Programm wurde in C++ geschrieben, um ohne Geschwindigkeitseinbußen den Code so leserlich wie möglich zu halten. Es arbeitet direkt auf der X-Oberfläche.

Ursprünglich für Fluxbox entwickelt, später getestet mit WindowMaker, Xfce, Gnome usw.

Seit Version 1.0 wird Wbar mit Hilfe der Option -above-desk im Vordergrund angezeigt und durch Desktopmanager wie Xfdesktop oder Nautilus nicht mehr überdeckt.



%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
#%patch1
#%patch2

%build
%__make %{?jobs:-j%{jobs}} \
		CXXFLAGS="`imlib2-config --cflags` %{optflags}" \
		LDFLAGS="`imlib2-config --libs`" \

# menu entry
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name):wbar 
command="%_bindir/wbar" 
needs="X11" 
section="More Applications/Other" 
icon="more_applications_section.png" 
title="wbar" 
longtitle="wbar"
EOF


%install

mkdir -p %{buildroot}%{_datadir}/wbar
mkdir -p %{buildroot}%{_bindir}

cp -a ./dot.wbar %{buildroot}%{_datadir}/wbar
cp -a ./iconpack %{buildroot}%{_datadir}/wbar

sed -i 's!iconpack/wbar.osx/font/12!iconpack/comic/12!' dot.wbar
       awk '{if($1 ~ /i:/ || ($1 ~ /t:/ && NR<4)) print $1" %{_datadir}/wbar/"$2; else print $0;}' dot.wbar > %{buildroot}%{_datadir}/wbar/dot.wbar

ln -fs %{buildroot}%{_datadir}/wbar/iconpack/comic.ttf %{buildroot}%{_datadir}/wbar/iconpack/wbar.osx/font.ttf
	
install ./wbar %{buildroot}%{_bindir}

%__install -D "%{SOURCE1}" "%{buildroot}%{_datadir}/applications/%{name}.desktop"

%clean
%__rm -rf "%{buildroot}"



%files
%defattr(-,root,root,0755)
%doc gpl.txt AUTHORS COPYING NEWS README
%{_bindir}/wbar
%config(noreplace) %{_datadir}/wbar/dot.wbar
%{_datadir}/wbar/iconpack/*
%{_datadir}/applications/%{name}.desktop
%{_menudir}/wbar

%post
%update_menus
%postun
%clean_menus

%changelog

* Sat Feb 09 2008 Mario Blättermann <rpm@mandrivauser.de> 1.3.3-1mud2008.0
- fork for mandrivauser.de, adjustments to mandriva rpm policy
- added german description
- added menu entry

* Tue Oct 23 2007 Pascal Bleser <guru@unixtech.be> 1.3.3-0.pm.2
- added Requires for imlib2-loaders (for PNG support)

* Fri Sep 28 2007 Pascal Bleser <guru@unixtech.be> 1.3.3-0.pm.1
- new upstream version

* Sun Sep 16 2007 Pascal Bleser <guru@unixtech.be> 1.3.2-0.pm.1
- new package

